%define major 0
%define api   0.3
%define libname   %mklibname cloudproviders %{major}
%define girname   %mklibname cloudproviders-gir %{api}
%define develname %mklibname cloudproviders -d

%define url_ver   %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           libcloudproviders
Version:        0.3.6
Release:        %mkrel 1
Summary:        Library for integration of cloud storage providers
Group:          System/Libraries
License:        LGPLv3+
URL:            https://gitlab.gnome.org/World/libcloudproviders
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  systemd
BuildRequires:  vala-tools
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Cross desktop library for desktop integration of cloud storage providers and sync tools.

%package -n %{libname}
Summary:    Library for integration of cloud storage providers
Group:      System/Libraries

%description -n %{libname}
This package contains the library files required for running services built
using %{name}.

%package -n %{girname}
Summary:    GObject Introspection interface description for CloudProviders
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}
Obsoletes:  %{_lib}cloudproviders-gir0.3.2 < 0.3.2-2
Obsoletes:  %{_lib}cloudproviders-gir0.3.1 < 0.3.2

%description -n %{girname}
GObject Introspection interface description for CloudProviders.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%doc LICENSE
%doc CHANGELOG README.md
%{_libdir}/libcloudproviders.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/CloudProviders-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libcloudproviders/
%{_includedir}/cloudproviders/
%{_libdir}/pkgconfig/cloudproviders.pc
%{_libdir}/libcloudproviders.so
%{_datadir}/gir-1.0/CloudProviders-%{api}.gir
%{_datadir}/vala/vapi/cloudproviders.deps
%{_datadir}/vala/vapi/cloudproviders.vapi


%changelog
* Wed Mar 20 2024 daviddavid <daviddavid> 0.3.6-1.mga10
+ Revision: 2051022
- new version 0.3.6

* Mon Nov 27 2023 daviddavid <daviddavid> 0.3.5-1.mga10
+ Revision: 2010175
- new version: 0.3.5

* Sun Oct 01 2023 daviddavid <daviddavid> 0.3.4-1.mga10
+ Revision: 1992713
- new version 0.3.4

* Wed Aug 30 2023 wally <wally> 0.3.2-2.mga10
+ Revision: 1981677
- fix gir typelib pkg name

* Tue Aug 29 2023 daviddavid <daviddavid> 0.3.2-1.mga10
+ Revision: 1980782
- new version 0.3.2

* Tue Mar 29 2022 umeabot <umeabot> 0.3.1-2.mga9
+ Revision: 1831805
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 ovitters <ovitters> 0.3.1-1.mga8
+ Revision: 1591216
- new version 0.3.1
- fix source url

* Sat Feb 15 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1528145
- Mageia 8 Mass Rebuild

* Sun Aug 11 2019 wally <wally> 0.3.0-4.mga8
+ Revision: 1428712
- make devel pkg to require lib and gir pkgs

* Sat Aug 10 2019 tv <tv> 0.3.0-3.mga8
+ Revision: 1428641
- fix summary-ended-with-dot
+ wally <wally>
- split out gir typelib
- tag docs as such

* Wed Apr 17 2019 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1392708
- Rebuild with meson 0.50.1

* Thu Mar 07 2019 guillomovitch <guillomovitch> 0.3.0-1.mga7
+ Revision: 1372351
- imported package libcloudproviders

